Create a new project by uploading a video or audio file. The API starts transcription only (no translation or lip sync). You can open the project in the VoiceCheap app later to trigger translation, or use Get Project Details to inspect the project state.
Concurrency Limit
Project creation, translation, and dubbing all check your account’s active-translation limit (at most 10, possibly lower). Only in-progress translation or dubbing runs occupy slots; transcription-only projects do not. If the limit is reached, the API returns CONCURRENT_TRANSLATION_LIMIT_REACHED (HTTP 429). The applied limit is in details.limit.
Request
This endpoint accepts multipart/form-data with a file upload.
The video or audio file to upload.Supported video formats:video/mp4, video/quicktime, video/x-matroska, video/webm, video/mpegSupported audio formats:audio/mpeg, audio/wav, audio/mp4, audio/x-m4a, audio/flac, audio/ogg, audio/aac, audio/webmMaximum file size by plan: Beginner 5 GB, Starter 10 GB, Creator 20 GB, Pro 30 GB, Scale 40 GB, and Enterprise 60 GB.
string
required
The target language to associate with this project. Must be lowercase.Allowed values (70+):afrikaans, albanian, amharic, arabic, armenian, assamese, azerbaijani, basque, belarusian, bengali, bosnian, bulgarian, catalan, croatian, czech, danish, dutch, english, british english, estonian, finnish, french, french canadian, galician, german, greek, gujarati, hebrew, hindi, hungarian, icelandic, indonesian, irish, italian, japanese, kannada, kazakh, khmer, korean, lao, latvian, lithuanian, macedonian, malay, malayalam, mandarin, marathi, mongolian, nepali, norwegian, persian, polish, portuguese, brazilian portuguese, pt_brazil, punjabi, romanian, russian, serbian, slovak, slovenian, spanish, swahili, swedish, tagalog, tamil, telugu, thai, turkish, ukrainian, urdu, vietnamese, welsh, yoruba, zulu
string
The source language of the content using ISO language codes (e.g., en, es, fr, de, ja, zh).
Strongly recommended: Leave this empty for auto-detection.Only provide this parameter if you are 100% certain the language code is correct and in valid ISO format. Incorrect language codes will cause transcription failures. Our auto-detection supports 80+ languages and is highly accurate.
Default:auto-detect
string
A custom name for the project. Useful for identifying projects in your dashboard.Default: The project ID will be used if not provided.
string
An https endpoint that receives the webhook events for this project,
overriding the endpoint configured on your account.Default: The account webhook endpoint, when one is configured.
string
auto-detect or an integer from 1 through 32. Supplying the known speaker count can improve diarization.Default:auto-detect
string
A JSON string array of request-specific names, brands, acronyms, or specialist terms. These terms are merged with saved account or team vocabulary.
["VoiceCheap", "SmartSync", "ITC Global"]
boolean
Remove common filler words during transcription.Default:true
string
An existing source-language SRT transcript. When supplied, originalLanguage must be an explicit language code rather than auto-detect.
This endpoint is only for project creation + transcription start. Translation options such as subtitles, voice cloning, and background music are handled by POST /v1/translate.
Could not detect the duration of the uploaded file
400
INVALID_MULTIPART_REQUEST
Multipart form data is malformed or exceeds field limits
400
INVALID_BRAND_VOCABULARY
A request-specific vocabulary entry is invalid
400
INVALID_SOURCE_SRT
The supplied source SRT is malformed
400
SOURCE_LANGUAGE_REQUIRED_FOR_SRT
sourceSrt requires an explicit originalLanguage
400
VIDEO_TOO_LONG
The media duration exceeds the user’s plan limit
413
FILE_TOO_LARGE
The uploaded file exceeds the user’s plan limit
401
MISSING_API_KEY
API key is required
401
INVALID_API_KEY_FORMAT
API key must start with vc_
401
INVALID_API_KEY
The provided API key is invalid
403
SUBSCRIPTION_REQUIRED
API access requires a Starter plan or higher
429
RATE_LIMIT_EXCEEDED
Too many requests (limit: 10 requests per minute)
429
CONCURRENT_TRANSLATION_LIMIT_REACHED
Account concurrency limit reached; see details.limit
500
INTERNAL_ERROR
Unexpected server error
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/schema.json","name":"VoiceCheap Documentation","colors":{"primary":"#7C3AED","light":"#A78BFA","dark":"#5B21B6"},"logo":{"light":"https://mintcdn.com/voicecheap/h-Bn773dalfhYrfJ/images/logo-light.png?fit=max\u0026auto=format\u0026n=h-Bn773dalfhYrfJ\u0026q=85\u0026s=4c1fb3404e1facd7b0d51c296871a6fa","dark":"https://mintcdn.com/voicecheap/h-Bn773dalfhYrfJ/images/logo-dark.png?fit=max\u0026auto=format\u0026n=h-Bn773dalfhYrfJ\u0026q=85\u0026s=81faeeeb11206fb5130c732ceae69c71"},"favicon":"https://mintcdn.com/voicecheap/5RypjMNMUU2K3f1p/images/favicon.svg?fit=max\u0026auto=format\u0026n=5RypjMNMUU2K3f1p\u0026q=85\u0026s=f30069e88bef43f593516ad5a74dcb7e","api":{},"seo":{"metatags":{"canonical":"https://voicecheap.ai/docs","theme-color":"#7C3AED","twitter:site":"@voicecheap_ai","application-name":"VoiceCheap Documentation","apple-mobile-web-app-title":"VoiceCheap Documentation","keywords":"voicecheap documentation, voicecheap api, ai dubbing, video translation, voice cloning, lip-sync, SmartSync, subtitle generation, text to speech, speech to text, model context protocol"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","add-mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","default":true,"navbar":{"links":[{"href":"https://voicecheap.ai","label":"Website"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Community"},{"href":"mailto:contact@voicecheap.ai","label":"Support"}],"primary":{"type":"button","label":"Open app","href":"https://app.voicecheap.ai"}},"href":"introduction"},{"language":"de","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Webseite"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Gemeinschaft"},{"href":"mailto:contact@voicecheap.ai","label":"Hilfe"}],"primary":{"type":"button","label":"App öffnen","href":"https://app.voicecheap.ai"}},"href":"de/introduction"},{"language":"es","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Sitio web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunidad"},{"href":"mailto:contact@voicecheap.ai","label":"Soporte"}],"primary":{"type":"button","label":"Abrir la aplicación","href":"https://app.voicecheap.ai"}},"href":"es/introduction"},{"language":"fr","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Site web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Communauté"},{"href":"mailto:contact@voicecheap.ai","label":"Assistance"}],"primary":{"type":"button","label":"Ouvrir l’application","href":"https://app.voicecheap.ai"}},"href":"fr/introduction"},{"language":"it","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Sito web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunità"},{"href":"mailto:contact@voicecheap.ai","label":"Assistenza"}],"primary":{"type":"button","label":"Apri l’app","href":"https://app.voicecheap.ai"}},"href":"it/introduction"},{"language":"ja","navbar":{"links":[{"href":"https://voicecheap.ai","label":"ウェブサイト"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"コミュニティ"},{"href":"mailto:contact@voicecheap.ai","label":"サポート"}],"primary":{"type":"button","label":"アプリを開く","href":"https://app.voicecheap.ai"}},"href":"ja/introduction"},{"language":"ko","navbar":{"links":[{"href":"https://voicecheap.ai","label":"웹사이트"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"커뮤니티"},{"href":"mailto:contact@voicecheap.ai","label":"지원"}],"primary":{"type":"button","label":"앱 열기","href":"https://app.voicecheap.ai"}},"href":"ko/introduction"},{"language":"nl","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Website"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Gemeenschap"},{"href":"mailto:contact@voicecheap.ai","label":"Ondersteuning"}],"primary":{"type":"button","label":"App openen","href":"https://app.voicecheap.ai"}},"href":"nl/introduction"},{"language":"pl","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Strona internetowa"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Społeczność"},{"href":"mailto:contact@voicecheap.ai","label":"Pomoc"}],"primary":{"type":"button","label":"Otwórz aplikację","href":"https://app.voicecheap.ai"}},"href":"pl/introduction"},{"language":"pt","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Site"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunidade"},{"href":"mailto:contact@voicecheap.ai","label":"Suporte"}],"primary":{"type":"button","label":"Abrir o aplicativo","href":"https://app.voicecheap.ai"}},"href":"pt/introduction"},{"language":"zh","navbar":{"links":[{"href":"https://voicecheap.ai","label":"网站"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"社区"},{"href":"mailto:contact@voicecheap.ai","label":"支持"}],"primary":{"type":"button","label":"打开应用","href":"https://app.voicecheap.ai"}},"href":"zh/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"voicecheap","hasAudioNarration":false,"actualSubdomain":"voicecheap","customDomains":["api-docs.voicecheap.ai"],"gitSource":{"type":"github","owner":"voicecheap","repo":"client-server","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6af9cfa0d68a947269633928","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"en","tag":"API Reference","count":175},{"language":"de","tag":"API-Referenz","count":175},{"language":"es","tag":"Referencia de la API","count":175},{"language":"fr","tag":"Référence API","count":175},{"language":"it","tag":"Riferimento API","count":175},{"language":"ja","tag":"API リファレンス","count":175},{"language":"ko","tag":"API 레퍼런스","count":175},{"language":"nl","tag":"API-referentie","count":175},{"language":"pl","tag":"Dokumentacja API","count":175},{"language":"pt","tag":"Referência da API","count":175},{"language":"zh","tag":"API 参考","count":175},{"language":"en","tag":"Documentation","count":35},{"language":"de","tag":"Dokumentation","count":35},{"language":"es","tag":"Documentación","count":35},{"language":"fr","tag":"Documentation","count":35},{"language":"it","tag":"Documentazione","count":35},{"language":"ja","tag":"ドキュメント","count":35},{"language":"ko","tag":"문서","count":35},{"language":"nl","tag":"Documentatie","count":35},{"language":"pl","tag":"Dokumentacja","count":35},{"language":"pt","tag":"Documentação","count":35},{"language":"zh","tag":"文档","count":35},{"language":"en","tag":"Subtitles and captions","count":25},{"language":"de","tag":"Untertitel","count":25},{"language":"es","tag":"Subtítulos","count":25},{"language":"fr","tag":"Sous-titres et légendes","count":25},{"language":"it","tag":"Sottotitoli e didascalie","count":25},{"language":"ja","tag":"字幕とキャプション","count":25},{"language":"ko","tag":"자막 및 캡션","count":25},{"language":"nl","tag":"Ondertitels en captions","count":25},{"language":"pl","tag":"Napisy","count":25},{"language":"pt","tag":"Legendas","count":25},{"language":"zh","tag":"字幕","count":25},{"language":"en","tag":"Transcription","count":21},{"language":"de","tag":"Transkription","count":21},{"language":"es","tag":"Transcripción","count":21},{"language":"fr","tag":"Transcription","count":21},{"language":"it","tag":"Trascrizione","count":21},{"language":"ja","tag":"文字起こし","count":21},{"language":"ko","tag":"음성 전사","count":21},{"language":"nl","tag":"Transcriptie","count":21},{"language":"pl","tag":"Transkrypcja","count":21},{"language":"pt","tag":"Transcrição","count":21},{"language":"zh","tag":"转写","count":21},{"language":"en","tag":"Projects","count":15},{"language":"de","tag":"Projekte","count":15},{"language":"es","tag":"Proyectos","count":15},{"language":"fr","tag":"Projets","count":15},{"language":"it","tag":"Progetti","count":15},{"language":"ja","tag":"プロジェクト","count":15},{"language":"ko","tag":"프로젝트","count":15},{"language":"nl","tag":"Projecten","count":15},{"language":"pl","tag":"Projekty","count":15},{"language":"pt","tag":"Projetos","count":15},{"language":"zh","tag":"项目","count":15},{"language":"en","tag":"OAuth and MCP protocol","count":12},{"language":"de","tag":"OAuth- und MCP-Protokoll","count":12},{"language":"es","tag":"OAuth y protocolo MCP","count":12},{"language":"fr","tag":"OAuth et protocole MCP","count":12},{"language":"it","tag":"OAuth e protocollo MCP","count":12},{"language":"ja","tag":"OAuth と MCP プロトコル","count":12},{"language":"ko","tag":"OAuth 및 MCP 프로토콜","count":12},{"language":"nl","tag":"OAuth en het MCP-protocol","count":12},{"language":"pl","tag":"OAuth i protokół MCP","count":12},{"language":"pt","tag":"OAuth e protocolo MCP","count":12},{"language":"zh","tag":"OAuth 和 MCP 协议","count":12},{"language":"en","tag":"Transcripts and editing","count":11},{"language":"en","tag":"Speech voices","count":11},{"language":"de","tag":"Transkripte und Bearbeitung","count":11},{"language":"de","tag":"Stimmen für die Sprachausgabe","count":11},{"language":"es","tag":"Transcripciones y edición","count":11},{"language":"es","tag":"Voces de texto a voz","count":11},{"language":"fr","tag":"Transcriptions et édition","count":11},{"language":"fr","tag":"Voix de synthèse","count":11},{"language":"it","tag":"Trascrizioni e modifica","count":11},{"language":"it","tag":"Voci per la sintesi vocale","count":11},{"language":"ja","tag":"文字起こしと編集","count":11},{"language":"ja","tag":"読み上げ音声","count":11},{"language":"ko","tag":"전사문 및 편집","count":11},{"language":"ko","tag":"음성 합성용 음성","count":11},{"language":"nl","tag":"Transcripten en bewerking","count":11},{"language":"nl","tag":"Spraakstemmen","count":11},{"language":"pl","tag":"Transkrypcje i edycja","count":11},{"language":"pl","tag":"Głosy do syntezy mowy","count":11},{"language":"pt","tag":"Transcrições e edição","count":11},{"language":"pt","tag":"Vozes de fala","count":11},{"language":"zh","tag":"转写文本和编辑","count":11},{"language":"zh","tag":"语音音色","count":11},{"language":"en","tag":"Translation and dubbing","count":10},{"language":"de","tag":"Übersetzung und Synchronisation","count":10},{"language":"es","tag":"Traducción y doblaje","count":10},{"language":"fr","tag":"Traduction et doublage","count":10},{"language":"it","tag":"Traduzione e doppiaggio","count":10},{"language":"ja","tag":"翻訳と吹き替え","count":10},{"language":"ko","tag":"번역 및 더빙","count":10},{"language":"nl","tag":"Vertaling en nasynchronisatie","count":10},{"language":"pl","tag":"Tłumaczenie i dubbing","count":10},{"language":"pt","tag":"Tradução e dublagem","count":10},{"language":"zh","tag":"翻译和配音","count":10},{"language":"en","tag":"Overview","count":8},{"language":"de","tag":"Überblick","count":8},{"language":"es","tag":"Descripción general","count":8},{"language":"fr","tag":"Vue d’ensemble","count":8},{"language":"it","tag":"Panoramica","count":8},{"language":"ja","tag":"概要","count":8},{"language":"ko","tag":"개요","count":8},{"language":"nl","tag":"Overzicht","count":8},{"language":"pl","tag":"Przegląd","count":8},{"language":"pt","tag":"Visão geral","count":8},{"language":"zh","tag":"概述","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/create-project","slug":"/api-reference/create-project","pageMetadata":{"title":"Create Project","api":"POST https://api.voicecheap.ai/v1/projects","description":"Upload a video or audio file and create a project without starting translation","playground":"none","href":"/api-reference/create-project"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Upload a video or audio file and create a project without starting translation\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`create-project`,children:`Create Project`}),`\n`,_jsxs(_components.p,{children:[`Create a new project by uploading a video or audio file. The API starts transcription only (no translation or lip sync). You can open the project in the VoiceCheap app later to trigger translation, or use `,_jsx(_components.a,{href:`/api-reference/project-details`,children:`Get Project Details`}),` to inspect the project state.`]}),`\n`,_jsx(Heading,{level:`2`,id:`concurrency-limit`,children:`Concurrency Limit`}),`\n`,_jsxs(_components.p,{children:[`Project creation, translation, and dubbing all check your account’s active-translation limit (at most 10, possibly lower). Only in-progress translation or dubbing runs occupy slots; transcription-only projects do not. If the limit is reached, the API returns `,_jsx(_components.code,{children:`CONCURRENT_TRANSLATION_LIMIT_REACHED`}),` (HTTP 429). The applied limit is in `,_jsx(_components.code,{children:`details.limit`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsxs(_components.p,{children:[`This endpoint accepts `,_jsx(_components.code,{children:`multipart/form-data`}),` with a file upload.`]}),`\n`,_jsx(Heading,{level:`3`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-api-key`,type:`string`,required:true,id:`param-x-api-key`,children:_jsxs(_components.p,{children:[`Your VoiceCheap API key. Get one from `,_jsx(_components.a,{href:`https://app.voicecheap.ai/page-api`,children:`app.voicecheap.ai/page-api`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`body-parameters`,children:`Body Parameters`}),`\n`,_jsxs(ParamField,{body:`file`,type:`file`,required:true,id:`param-file`,children:[_jsx(_components.p,{children:`The video or audio file to upload.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Supported video formats:`}),` `,_jsx(_components.code,{children:`video/mp4`}),`, `,_jsx(_components.code,{children:`video/quicktime`}),`, `,_jsx(_components.code,{children:`video/x-matroska`}),`, `,_jsx(_components.code,{children:`video/webm`}),`, `,_jsx(_components.code,{children:`video/mpeg`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Supported audio formats:`}),` `,_jsx(_components.code,{children:`audio/mpeg`}),`, `,_jsx(_components.code,{children:`audio/wav`}),`, `,_jsx(_components.code,{children:`audio/mp4`}),`, `,_jsx(_components.code,{children:`audio/x-m4a`}),`, `,_jsx(_components.code,{children:`audio/flac`}),`, `,_jsx(_components.code,{children:`audio/ogg`}),`, `,_jsx(_components.code,{children:`audio/aac`}),`, `,_jsx(_components.code,{children:`audio/webm`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Maximum file size by plan:`}),` Beginner 5 GB, Starter 10 GB, Creator 20 GB, Pro 30 GB, Scale 40 GB, and Enterprise 60 GB.`]})]}),`\n`,_jsxs(ParamField,{body:`targetLanguage`,type:`string`,required:true,id:`param-target-language`,children:[_jsx(_components.p,{children:`The target language to associate with this project. Must be lowercase.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values (70+):`}),` `,_jsx(_components.code,{children:`afrikaans`}),`, `,_jsx(_components.code,{children:`albanian`}),`, `,_jsx(_components.code,{children:`amharic`}),`, `,_jsx(_components.code,{children:`arabic`}),`, `,_jsx(_components.code,{children:`armenian`}),`, `,_jsx(_components.code,{children:`assamese`}),`, `,_jsx(_components.code,{children:`azerbaijani`}),`, `,_jsx(_components.code,{children:`basque`}),`, `,_jsx(_components.code,{children:`belarusian`}),`, `,_jsx(_components.code,{children:`bengali`}),`, `,_jsx(_components.code,{children:`bosnian`}),`, `,_jsx(_components.code,{children:`bulgarian`}),`, `,_jsx(_components.code,{children:`catalan`}),`, `,_jsx(_components.code,{children:`croatian`}),`, `,_jsx(_components.code,{children:`czech`}),`, `,_jsx(_components.code,{children:`danish`}),`, `,_jsx(_components.code,{children:`dutch`}),`, `,_jsx(_components.code,{children:`english`}),`, `,_jsx(_components.code,{children:`british english`}),`, `,_jsx(_components.code,{children:`estonian`}),`, `,_jsx(_components.code,{children:`finnish`}),`, `,_jsx(_components.code,{children:`french`}),`, `,_jsx(_components.code,{children:`french canadian`}),`, `,_jsx(_components.code,{children:`galician`}),`, `,_jsx(_components.code,{children:`german`}),`, `,_jsx(_components.code,{children:`greek`}),`, `,_jsx(_components.code,{children:`gujarati`}),`, `,_jsx(_components.code,{children:`hebrew`}),`, `,_jsx(_components.code,{children:`hindi`}),`, `,_jsx(_components.code,{children:`hungarian`}),`, `,_jsx(_components.code,{children:`icelandic`}),`, `,_jsx(_components.code,{children:`indonesian`}),`, `,_jsx(_components.code,{children:`irish`}),`, `,_jsx(_components.code,{children:`italian`}),`, `,_jsx(_components.code,{children:`japanese`}),`, `,_jsx(_components.code,{children:`kannada`}),`, `,_jsx(_components.code,{children:`kazakh`}),`, `,_jsx(_components.code,{children:`khmer`}),`, `,_jsx(_components.code,{children:`korean`}),`, `,_jsx(_components.code,{children:`lao`}),`, `,_jsx(_components.code,{children:`latvian`}),`, `,_jsx(_components.code,{children:`lithuanian`}),`, `,_jsx(_components.code,{children:`macedonian`}),`, `,_jsx(_components.code,{children:`malay`}),`, `,_jsx(_components.code,{children:`malayalam`}),`, `,_jsx(_components.code,{children:`mandarin`}),`, `,_jsx(_components.code,{children:`marathi`}),`, `,_jsx(_components.code,{children:`mongolian`}),`, `,_jsx(_components.code,{children:`nepali`}),`, `,_jsx(_components.code,{children:`norwegian`}),`, `,_jsx(_components.code,{children:`persian`}),`, `,_jsx(_components.code,{children:`polish`}),`, `,_jsx(_components.code,{children:`portuguese`}),`, `,_jsx(_components.code,{children:`brazilian portuguese`}),`, `,_jsx(_components.code,{children:`pt_brazil`}),`, `,_jsx(_components.code,{children:`punjabi`}),`, `,_jsx(_components.code,{children:`romanian`}),`, `,_jsx(_components.code,{children:`russian`}),`, `,_jsx(_components.code,{children:`serbian`}),`, `,_jsx(_components.code,{children:`slovak`}),`, `,_jsx(_components.code,{children:`slovenian`}),`, `,_jsx(_components.code,{children:`spanish`}),`, `,_jsx(_components.code,{children:`swahili`}),`, `,_jsx(_components.code,{children:`swedish`}),`, `,_jsx(_components.code,{children:`tagalog`}),`, `,_jsx(_components.code,{children:`tamil`}),`, `,_jsx(_components.code,{children:`telugu`}),`, `,_jsx(_components.code,{children:`thai`}),`, `,_jsx(_components.code,{children:`turkish`}),`, `,_jsx(_components.code,{children:`ukrainian`}),`, `,_jsx(_components.code,{children:`urdu`}),`, `,_jsx(_components.code,{children:`vietnamese`}),`, `,_jsx(_components.code,{children:`welsh`}),`, `,_jsx(_components.code,{children:`yoruba`}),`, `,_jsx(_components.code,{children:`zulu`})]})]}),`\n`,_jsxs(ParamField,{body:`originalLanguage`,type:`string`,id:`param-original-language`,children:[_jsxs(_components.p,{children:[`The source language of the content using ISO language codes (e.g., `,_jsx(_components.code,{children:`en`}),`, `,_jsx(_components.code,{children:`es`}),`, `,_jsx(_components.code,{children:`fr`}),`, `,_jsx(_components.code,{children:`de`}),`, `,_jsx(_components.code,{children:`ja`}),`, `,_jsx(_components.code,{children:`zh`}),`).`]}),_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Strongly recommended: Leave this empty for auto-detection.`})}),_jsx(_components.p,{children:`Only provide this parameter if you are 100% certain the language code is correct and in valid ISO format. Incorrect language codes will cause transcription failures. Our auto-detection supports 80+ languages and is highly accurate.`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default:`}),` `,_jsx(_components.code,{children:`auto-detect`})]})]}),`\n`,_jsxs(ParamField,{body:`projectName`,type:`string`,id:`param-project-name`,children:[_jsx(_components.p,{children:`A custom name for the project. Useful for identifying projects in your dashboard.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default:`}),` The project ID will be used if not provided.`]})]}),`\n`,_jsxs(ParamField,{body:`webhookUrl`,type:`string`,id:`param-webhook-url`,children:[_jsxs(_components.p,{children:[`An https endpoint that receives the `,_jsx(_components.a,{href:`/api-reference/webhooks`,children:`webhook events`}),` for this project,\noverriding the endpoint configured on your account.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default:`}),` The account webhook endpoint, when one is configured.`]})]}),`\n`,_jsxs(ParamField,{body:`numberOfSpeakers`,type:`string`,id:`param-number-of-speakers`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`auto-detect`}),` or an integer from `,_jsx(_components.code,{children:`1`}),` through `,_jsx(_components.code,{children:`32`}),`. Supplying the known speaker count can improve diarization.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default:`}),` `,_jsx(_components.code,{children:`auto-detect`})]})]}),`\n`,_jsxs(ParamField,{body:`brandVocabulary`,type:`string`,id:`param-brand-vocabulary`,children:[_jsx(_components.p,{children:`A JSON string array of request-specific names, brands, acronyms, or specialist terms. These terms are merged with saved account or team vocabulary.`}),_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"VoiceCheap\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SmartSync\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ITC Global\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`]})})})]}),`\n`,_jsxs(ParamField,{body:`removeFillerWords`,type:`boolean`,id:`param-remove-filler-words`,children:[_jsx(_components.p,{children:`Remove common filler words during transcription.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default:`}),` `,_jsx(_components.code,{children:`true`})]})]}),`\n`,_jsx(ParamField,{body:`sourceSrt`,type:`string`,id:`param-source-srt`,children:_jsxs(_components.p,{children:[`An existing source-language SRT transcript. When supplied, `,_jsx(_components.code,{children:`originalLanguage`}),` must be an explicit language code rather than `,_jsx(_components.code,{children:`auto-detect`}),`.`]})}),`\n`,_jsxs(_components.p,{children:[`This endpoint is only for project creation + transcription start. Translation options such as subtitles, voice cloning, and background music are handled by `,_jsx(_components.code,{children:`POST /v1/translate`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.voicecheap.ai/v1/projects\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"file=@/path/to/video.mp4\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"targetLanguage=french\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"projectName=Launch Demo\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"numberOfSpeakers=2\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'brandVocabulary=[\"VoiceCheap\",\"SmartSync\"]'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -F`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"removeFillerWords=true\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`example-response`,children:`Example Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Project created. Transcription started.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"projectId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"project_123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"projectName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Launch Demo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"targetLanguage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"french\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"processing\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Code`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`FILE_REQUIRED`})}),_jsx(_components.td,{children:`No file was uploaded with the request`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_FILE_TYPE`})}),_jsx(_components.td,{children:`The uploaded file type is not supported`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`DURATION_DETECTION_FAILED`})}),_jsx(_components.td,{children:`Could not detect the duration of the uploaded file`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_MULTIPART_REQUEST`})}),_jsx(_components.td,{children:`Multipart form data is malformed or exceeds field limits`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_BRAND_VOCABULARY`})}),_jsx(_components.td,{children:`A request-specific vocabulary entry is invalid`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_SOURCE_SRT`})}),_jsx(_components.td,{children:`The supplied source SRT is malformed`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`SOURCE_LANGUAGE_REQUIRED_FOR_SRT`})}),_jsx(_components.td,{children:`sourceSrt requires an explicit originalLanguage`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`VIDEO_TOO_LONG`})}),_jsx(_components.td,{children:`The media duration exceeds the user’s plan limit`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`413`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`FILE_TOO_LARGE`})}),_jsx(_components.td,{children:`The uploaded file exceeds the user’s plan limit`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`401`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`MISSING_API_KEY`})}),_jsx(_components.td,{children:`API key is required`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`401`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_API_KEY_FORMAT`})}),_jsxs(_components.td,{children:[`API key must start with `,_jsx(_components.code,{children:`vc_`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`401`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INVALID_API_KEY`})}),_jsx(_components.td,{children:`The provided API key is invalid`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`403`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`SUBSCRIPTION_REQUIRED`})}),_jsx(_components.td,{children:`API access requires a Starter plan or higher`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`429`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`RATE_LIMIT_EXCEEDED`})}),_jsx(_components.td,{children:`Too many requests (limit: 10 requests per minute)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`429`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`CONCURRENT_TRANSLATION_LIMIT_REACHED`})}),_jsxs(_components.td,{children:[`Account concurrency limit reached; see `,_jsx(_components.code,{children:`details.limit`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`500`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`INTERNAL_ERROR`})}),_jsx(_components.td,{children:`Unexpected server error`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Project","api":"POST https://api.voicecheap.ai/v1/projects","description":"Upload a video or audio file and create a project without starting translation","playground":"none","href":"/api-reference/create-project"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Create Project","slug":"create-project","depth":1,"children":[]},{"title":"Concurrency Limit","slug":"concurrency-limit","depth":2,"children":[]},{"title":"Request","slug":"request","depth":2,"children":[{"title":"Headers","slug":"headers","depth":3,"children":[]},{"title":"Body Parameters","slug":"body-parameters","depth":3,"children":[]}]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]},{"title":"Example Response","slug":"example-response","depth":2,"children":[]},{"title":"Errors","slug":"errors","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"Create Project","path":"/v1/projects","servers":[{"url":"https://api.voicecheap.ai"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"x-api-key":{"schema":[{"type":"string","description":"Your VoiceCheap API key. Get one from app.voicecheap.ai/page-api .","required":true}]}},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"file":[{"type":"file","description":"The video or audio file to upload. Supported video formats: `video/mp4` , `video/quicktime` , `video/x-matroska` , `video/webm` , `video/mpeg` Supported audio formats: `audio/mpeg` , `audio/wav` , `audio/mp4` , `audio/x-m4a` , `audio/flac` , `audio/ogg` , `audio/aac` , `audio/webm` Maximum file size by plan: Beginner 5 GB, Starter 10 GB, Creator 20 GB, Pro 30 GB, Scale 40 GB, and Enterprise 60 GB.","required":true}],"targetLanguage":[{"type":"string","description":"The target language to associate with this project. Must be lowercase. Allowed values (70+): `afrikaans` , `albanian` , `amharic` , `arabic` , `armenian` , `assamese` , `azerbaijani` , `basque` , `belarusian` , `bengali` , `bosnian` , `bulgarian` , `catalan` , `croatian` , `czech` , `danish` , `dutch` , `english` , `british english` , `estonian` , `finnish` , `french` , `french canadian` , `galician` , `german` , `greek` , `gujarati` , `hebrew` , `hindi` , `hungarian` , `icelandic` , `indonesian` , `irish` , `italian` , `japanese` , `kannada` , `kazakh` , `khmer` , `korean` , `lao` , `latvian` , `lithuanian` , `macedonian` , `malay` , `malayalam` , `mandarin` , `marathi` , `mongolian` , `nepali` , `norwegian` , `persian` , `polish` , `portuguese` , `brazilian portuguese` , `pt_brazil` , `punjabi` , `romanian` , `russian` , `serbian` , `slovak` , `slovenian` , `spanish` , `swahili` , `swedish` , `tagalog` , `tamil` , `telugu` , `thai` , `turkish` , `ukrainian` , `urdu` , `vietnamese` , `welsh` , `yoruba` , `zulu`","required":true}],"originalLanguage":[{"type":"string","description":"The source language of the content using ISO language codes (e.g., `en` , `es` , `fr` , `de` , `ja` , `zh` ). Default: `auto-detect`"}],"projectName":[{"type":"string","description":"A custom name for the project. Useful for identifying projects in your dashboard. Default: The project ID will be used if not provided."}],"webhookUrl":[{"type":"string","description":"An https endpoint that receives the webhook events for this project, overriding the endpoint configured on your account. Default: The account webhook endpoint, when one is configured."}],"numberOfSpeakers":[{"type":"string","description":"`auto-detect` or an integer from `1` through `32` . Supplying the known speaker count can improve diarization. Default: `auto-detect`"}],"brandVocabulary":[{"type":"string","description":"A JSON string array of request-specific names, brands, acronyms, or specialist terms. These terms are merged with saved account or team vocabulary."}],"removeFillerWords":[{"type":"boolean","description":"Remove common filler words during transcription. Default: `true`"}],"sourceSrt":[{"type":"string","description":"An existing source-language SRT transcript. When supplied, `originalLanguage` must be an explicit language code rather than `auto-detect` ."}]}}],"examples":{"example":{"value":{"targetLanguage":"\u003cstring>","originalLanguage":"\u003cstring>","projectName":"\u003cstring>","webhookUrl":"\u003cstring>","numberOfSpeakers":"\u003cstring>","brandVocabulary":"\u003cstring>","removeFillerWords":true,"sourceSrt":"\u003cstring>"}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"voicecheap","siteName":"VoiceCheap Documentation","title":"Create Project - VoiceCheap Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/create-project","matchLevel":0},"de":{"href":"/de/api-reference/create-project","matchLevel":1},"es":{"href":"/es/api-reference/create-project","matchLevel":1},"fr":{"href":"/fr/api-reference/create-project","matchLevel":1},"it":{"href":"/it/api-reference/create-project","matchLevel":1},"ja":{"href":"/ja/api-reference/create-project","matchLevel":1},"ko":{"href":"/ko/api-reference/create-project","matchLevel":1},"nl":{"href":"/nl/api-reference/create-project","matchLevel":1},"pl":{"href":"/pl/api-reference/create-project","matchLevel":1},"pt":{"href":"/pt/api-reference/create-project","matchLevel":1},"zh":{"href":"/zh/api-reference/create-project","matchLevel":1}}},"lastModified":"2026-11-14T11:26:56.585Z","originalFileLocation":"api-reference/create-project.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Upload a video or audio file and create a project without starting translation\">\u003cmeta data-mint-head name=\"keywords\" content=\"voicecheap documentation, voicecheap api, ai dubbing, video translation, voice cloning, lip-sync, SmartSync, subtitle generation, text to speech, speech to text, model context protocol\">\u003cmeta data-mint-head name=\"application-name\" content=\"VoiceCheap Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Project - VoiceCheap Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Upload a video or audio file and create a project without starting translation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"VoiceCheap Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://voicecheap.ai/docs/api-reference/create-project\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://voicecheap.mintlify.site/docs/_mintlify/api/og/v2?division=Projects\u0026amp;title=Create+Project\u0026amp;description=Upload+a+video+or+audio+file+and+create+a+project+without+starting+translation\u0026amp;theme=fccabee10dd47edbc2b78a83\u0026amp;signature=59f8d257fc99c0714db7433f2c5690a55a5ae599d4a5c8aa710ce60f0afb2405\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Project - VoiceCheap Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Upload a video or audio file and create a project without starting translation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://voicecheap.mintlify.site/docs/_mintlify/api/og/v2?division=Projects\u0026amp;title=Create+Project\u0026amp;description=Upload+a+video+or+audio+file+and+create+a+project+without+starting+translation\u0026amp;theme=fccabee10dd47edbc2b78a83\u0026amp;signature=59f8d257fc99c0714db7433f2c5690a55a5ae599d4a5c8aa710ce60f0afb2405\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/voicecheap/CUwDktg-cO2zZwjP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"VoiceCheap Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7C3AED\">\u003cmeta data-mint-head name=\"theme-color\" content=\"#7C3AED\">\u003cmeta data-mint-head name=\"application-name\" content=\"VoiceCheap Documentation\">\u003clink data-mint-head rel=\"canonical\" href=\"https://voicecheap.ai/docs/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/create-project.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://voicecheap.ai/docs/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"de\" href=\"https://voicecheap.ai/docs/de/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://voicecheap.ai/docs/es/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://voicecheap.ai/docs/fr/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"it\" href=\"https://voicecheap.ai/docs/it/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://voicecheap.ai/docs/ja/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://voicecheap.ai/docs/ko/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"nl\" href=\"https://voicecheap.ai/docs/nl/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pl\" href=\"https://voicecheap.ai/docs/pl/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt\" href=\"https://voicecheap.ai/docs/pt/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://voicecheap.ai/docs/zh/api-reference/create-project\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://voicecheap.ai/docs/api-reference/create-project\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://voicecheap.ai/#organization\",\"name\":\"VoiceCheap Documentation\",\"url\":\"https://voicecheap.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/voicecheap/h-Bn773dalfhYrfJ/images/logo-light.png?fit=max\u0026auto=format\u0026n=h-Bn773dalfhYrfJ\u0026q=85\u0026s=4c1fb3404e1facd7b0d51c296871a6fa\"}},{\"@type\":\"WebSite\",\"@id\":\"https://voicecheap.ai/docs#website\",\"name\":\"VoiceCheap Documentation\",\"url\":\"https://voicecheap.ai/docs\",\"publisher\":{\"@id\":\"https://voicecheap.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://voicecheap.ai/docs/api-reference/create-project#webpage\",\"url\":\"https://voicecheap.ai/docs/api-reference/create-project\",\"name\":\"Create Project\",\"description\":\"Upload a video or audio file and create a project without starting translation\",\"dateModified\":\"2026-11-14T11:26:56.585Z\",\"isPartOf\":{\"@id\":\"https://voicecheap.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://voicecheap.ai/docs/api-reference/create-project#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://voicecheap.ai/docs/api-reference/create-project#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"VoiceCheap Documentation\",\"item\":\"https://voicecheap.ai/docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Project\",\"item\":\"https://voicecheap.ai/docs/api-reference/create-project\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://voicecheap.ai/docs/api-reference/create-project#apireference\",\"headline\":\"Create Project\",\"name\":\"Create Project\",\"description\":\"Upload a video or audio file and create a project without starting translation\",\"url\":\"https://voicecheap.ai/docs/api-reference/create-project\",\"mainEntityOfPage\":{\"@id\":\"https://voicecheap.ai/docs/api-reference/create-project#webpage\"},\"dateModified\":\"2026-11-14T11:26:56.585Z\",\"publisher\":{\"@id\":\"https://voicecheap.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://voicecheap.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"VoiceCheap Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"VoiceCheap Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api-reference/create-project.md","siteName":"VoiceCheap Documentation","nav":{"global":null,"languages":[{"language":"en","default":true,"navbar":{"links":[{"href":"https://voicecheap.ai","label":"Website"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Community"},{"href":"mailto:contact@voicecheap.ai","label":"Support"}],"primary":{"type":"button","label":"Open app","href":"https://app.voicecheap.ai"}},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference","href":"/api-reference/introduction"},{"title":"Authentication","href":"/authentication"},{"title":"Actions and endpoints","href":"/api-reference/actions"},{"title":"Usage and limits","href":"/api-reference/limits"},{"title":"Error Codes","href":"/api-reference/errors"}]},{"group":"Discovery","pages":[{"title":"Get the action OpenAPI document","api":"GET https://api.voicecheap.ai/v1/openapi.json","playground":"simple","href":"/api-reference/discovery/openapi-get"},{"title":"List permitted actions","api":"GET https://api.voicecheap.ai/v1/actions","playground":"simple","href":"/api-reference/discovery/actions-list"}]},{"group":"Account","pages":[{"title":"Get account and credit balances","api":"POST https://api.voicecheap.ai/v1/actions/account_get","playground":"simple","href":"/api-reference/actions/account/account-get"}]},{"group":"Usage and activity","pages":[{"title":"Get API and MCP call usage","api":"POST https://api.voicecheap.ai/v1/actions/usage_get","playground":"simple","href":"/api-reference/actions/usage/usage-get"},{"title":"List media usage","api":"POST https://api.voicecheap.ai/v1/actions/usage_logs_list","playground":"simple","href":"/api-reference/actions/usage/usage-logs-list"},{"title":"Get project usage lifecycle","api":"POST https://api.voicecheap.ai/v1/actions/usage_project_get","playground":"simple","href":"/api-reference/actions/usage/usage-project-get"},{"title":"Get translation usage lifecycle","api":"POST https://api.voicecheap.ai/v1/actions/usage_translation_get","playground":"simple","href":"/api-reference/actions/usage/usage-translation-get"}]},{"group":"Settings and notifications","pages":[{"title":"Get notification preferences","api":"POST https://api.voicecheap.ai/v1/actions/notifications_get","playground":"simple","href":"/api-reference/actions/settings/notifications-get"},{"title":"Update notification preferences","api":"POST https://api.voicecheap.ai/v1/actions/notifications_update","playground":"simple","href":"/api-reference/actions/settings/notifications-update"},{"title":"Get account settings","api":"POST https://api.voicecheap.ai/v1/actions/settings_get","playground":"simple","href":"/api-reference/actions/settings/settings-get"},{"title":"Update account settings","api":"POST https://api.voicecheap.ai/v1/actions/settings_update","playground":"simple","href":"/api-reference/actions/settings/settings-update"}]},{"group":"Team","pages":[{"title":"Add a team member","api":"POST https://api.voicecheap.ai/v1/actions/team_add_member","playground":"simple","href":"/api-reference/actions/team/team-add-member"},{"title":"Create your team","api":"POST https://api.voicecheap.ai/v1/actions/team_create","playground":"simple","href":"/api-reference/actions/team/team-create"},{"title":"Get your team","api":"POST https://api.voicecheap.ai/v1/actions/team_get","playground":"simple","href":"/api-reference/actions/team/team-get"},{"title":"Remove a team member","description":"Remove a member from the team owned by your account. This sends the standard team notification and removes their team access.","api":"POST https://api.voicecheap.ai/v1/actions/team_remove_member","playground":"simple","href":"/api-reference/actions/team/team-remove-member"}]},{"group":"Projects","pages":[{"title":"Create Project","api":"POST https://api.voicecheap.ai/v1/projects","playground":"none","href":"/api-reference/create-project"},{"title":"Get Project Details","api":"GET https://api.voicecheap.ai/v1/projects/{projectId}","description":"Retrieve public project details, translated version history, and lip-sync history","playground":"none","href":"/api-reference/project-details"},{"title":"Delete Project","api":"DELETE https://api.voicecheap.ai/v1/translate/{projectId}","playground":"none","href":"/api-reference/delete-project"},{"title":"Get Translation Status","api":"GET https://api.voicecheap.ai/v1/translate/{projectId}/status","playground":"none","href":"/api-reference/translation-status"},{"title":"Create and transcribe a project","api":"POST https://api.voicecheap.ai/v1/actions/projects_create","playground":"simple","href":"/api-reference/actions/projects/projects-create"},{"title":"Delete a project","api":"POST https://api.voicecheap.ai/v1/actions/projects_delete","playground":"simple","href":"/api-reference/actions/projects/projects-delete"},{"title":"Get a project","api":"POST https://api.voicecheap.ai/v1/actions/projects_get","playground":"simple","href":"/api-reference/actions/projects/projects-get"},{"title":"List or search projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_list","playground":"simple","href":"/api-reference/actions/projects/projects-list"},{"title":"Get project processing status","api":"POST https://api.voicecheap.ai/v1/actions/projects_status","playground":"simple","href":"/api-reference/actions/projects/projects-status"},{"title":"Update project settings","api":"POST https://api.voicecheap.ai/v1/actions/projects_update","playground":"simple","href":"/api-reference/actions/projects/projects-update"},{"title":"Abort a media upload for projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_upload_abort","playground":"simple","href":"/api-reference/actions/projects/projects-upload-abort"},{"title":"Complete a media upload for projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_upload_complete","playground":"simple","href":"/api-reference/actions/projects/projects-upload-complete"},{"title":"Import media from a URL for projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_upload_import","playground":"simple","href":"/api-reference/actions/projects/projects-upload-import"},{"title":"Initialize a media upload for projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_upload_initialize","playground":"simple","href":"/api-reference/actions/projects/projects-upload-initialize"},{"title":"Sign upload parts for projects","api":"POST https://api.voicecheap.ai/v1/actions/projects_upload_sign_parts","playground":"simple","href":"/api-reference/actions/projects/projects-upload-sign-parts"}]},{"group":"Translation and dubbing","pages":[{"title":"Start Translation","api":"POST https://api.voicecheap.ai/v1/translate","playground":"none","href":"/api-reference/translate"},{"title":"Dub Project","api":"POST https://api.voicecheap.ai/v1/projects/{projectId}/dub","playground":"none","href":"/api-reference/dub-project"},{"title":"Lip-sync a translated video","api":"POST https://api.voicecheap.ai/v1/actions/lipsync_create","playground":"simple","href":"/api-reference/actions/translations/lipsync-create"},{"title":"Add a target language","api":"POST https://api.voicecheap.ai/v1/actions/translations_add","playground":"simple","href":"/api-reference/actions/translations/translations-add"},{"title":"Create a translated video or audio project","api":"POST https://api.voicecheap.ai/v1/actions/translations_create","playground":"simple","href":"/api-reference/actions/translations/translations-create"},{"title":"Dub a supplied translation","api":"POST https://api.voicecheap.ai/v1/actions/translations_dub","playground":"simple","href":"/api-reference/actions/translations/translations-dub"},{"title":"Get a language work","api":"POST https://api.voicecheap.ai/v1/actions/translations_get","playground":"simple","href":"/api-reference/actions/translations/translations-get"},{"title":"List project language works","api":"POST https://api.voicecheap.ai/v1/actions/translations_list","playground":"simple","href":"/api-reference/actions/translations/translations-list"},{"title":"Translate an existing project","api":"POST https://api.voicecheap.ai/v1/actions/translations_start","playground":"simple","href":"/api-reference/actions/translations/translations-start"},{"title":"Update proofreading state","api":"POST https://api.voicecheap.ai/v1/actions/translations_update","playground":"simple","href":"/api-reference/actions/translations/translations-update"}]},{"group":"Transcripts and editing","pages":[{"title":"Export Project Transcript","api":"POST https://api.voicecheap.ai/v1/projects/{projectId}/transcript","playground":"none","href":"/api-reference/project-transcript"},{"title":"Cancel a queued segment action","api":"POST https://api.voicecheap.ai/v1/actions/segment_actions_cancel","playground":"simple","href":"/api-reference/actions/editing/segment-actions-cancel"},{"title":"Get queued segment actions","api":"POST https://api.voicecheap.ai/v1/actions/segment_actions_list","playground":"simple","href":"/api-reference/actions/editing/segment-actions-list"},{"title":"Delete a segment","api":"POST https://api.voicecheap.ai/v1/actions/segments_delete","playground":"simple","href":"/api-reference/actions/editing/segments-delete"},{"title":"Merge adjacent segments","api":"POST https://api.voicecheap.ai/v1/actions/segments_merge","playground":"simple","href":"/api-reference/actions/editing/segments-merge"},{"title":"Regenerate segment speech","api":"POST https://api.voicecheap.ai/v1/actions/segments_regenerate","playground":"simple","href":"/api-reference/actions/editing/segments-regenerate"},{"title":"Assign a segment speaker","api":"POST https://api.voicecheap.ai/v1/actions/segments_speaker_update","playground":"simple","href":"/api-reference/actions/editing/segments-speaker-update"},{"title":"Edit a transcript segment","api":"POST https://api.voicecheap.ai/v1/actions/segments_text_update","playground":"simple","href":"/api-reference/actions/editing/segments-text-update"},{"title":"Edit segment timing","api":"POST https://api.voicecheap.ai/v1/actions/segments_timestamps_update","playground":"simple","href":"/api-reference/actions/editing/segments-timestamps-update"},{"title":"Remove a speaker","api":"POST https://api.voicecheap.ai/v1/actions/speakers_remove","playground":"simple","href":"/api-reference/actions/editing/speakers-remove"},{"title":"Get or export a project transcript","api":"POST https://api.voicecheap.ai/v1/actions/transcripts_get","playground":"simple","href":"/api-reference/actions/editing/transcripts-get"}]},{"group":"Text to speech","pages":[{"title":"Align speech words","api":"POST https://api.voicecheap.ai/v1/actions/tts_align","playground":"simple","href":"/api-reference/actions/tts/tts-align"},{"title":"Complete a speech preview","api":"POST https://api.voicecheap.ai/v1/actions/tts_continue","playground":"simple","href":"/api-reference/actions/tts/tts-continue"},{"title":"Download generated speech","api":"POST https://api.voicecheap.ai/v1/actions/tts_download","playground":"simple","href":"/api-reference/actions/tts/tts-download"},{"title":"Generate speech","api":"POST https://api.voicecheap.ai/v1/actions/tts_generate","playground":"simple","href":"/api-reference/actions/tts/tts-generate"},{"title":"Get generated speech","api":"POST https://api.voicecheap.ai/v1/actions/tts_get","playground":"simple","href":"/api-reference/actions/tts/tts-get"},{"title":"List generated speech","api":"POST https://api.voicecheap.ai/v1/actions/tts_list","playground":"simple","href":"/api-reference/actions/tts/tts-list"}]},{"group":"Speech voices","pages":[{"title":"Clone and save a voice","api":"POST https://api.voicecheap.ai/v1/actions/voices_clone","playground":"simple","href":"/api-reference/actions/voices/voices-clone"},{"title":"Delete a saved voice","api":"POST https://api.voicecheap.ai/v1/actions/voices_delete","playground":"simple","href":"/api-reference/actions/voices/voices-delete"},{"title":"Design a voice","api":"POST https://api.voicecheap.ai/v1/actions/voices_design","playground":"simple","href":"/api-reference/actions/voices/voices-design"},{"title":"List voices and voice previews","api":"POST https://api.voicecheap.ai/v1/actions/voices_list","playground":"simple","href":"/api-reference/actions/voices/voices-list"},{"title":"Preview a cloned voice","api":"POST https://api.voicecheap.ai/v1/actions/voices_preview_clone","playground":"simple","href":"/api-reference/actions/voices/voices-preview-clone"},{"title":"Get a voice preview","api":"POST https://api.voicecheap.ai/v1/actions/voices_preview_get","playground":"simple","href":"/api-reference/actions/voices/voices-preview-get"},{"title":"Save a voice preview","api":"POST https://api.voicecheap.ai/v1/actions/voices_save_preview","playground":"simple","href":"/api-reference/actions/voices/voices-save-preview"},{"title":"Abort a media upload for voice samples","api":"POST https://api.voicecheap.ai/v1/actions/voices_upload_abort","playground":"simple","href":"/api-reference/actions/voices/voices-upload-abort"},{"title":"Complete a media upload for voice samples","api":"POST https://api.voicecheap.ai/v1/actions/voices_upload_complete","playground":"simple","href":"/api-reference/actions/voices/voices-upload-complete"},{"title":"Initialize a media upload for voice samples","api":"POST https://api.voicecheap.ai/v1/actions/voices_upload_initialize","playground":"simple","href":"/api-reference/actions/voices/voices-upload-initialize"},{"title":"Sign upload parts for voice samples","api":"POST https://api.voicecheap.ai/v1/actions/voices_upload_sign_parts","playground":"simple","href":"/api-reference/actions/voices/voices-upload-sign-parts"}]},{"group":"Dubbing voices","pages":[{"title":"Clone a dubbing voice","api":"POST https://api.voicecheap.ai/v1/actions/dubbing_voices_clone","playground":"simple","href":"/api-reference/actions/dubbing-voices/dubbing-voices-clone"},{"title":"Delete a custom dubbing voice","api":"POST https://api.voicecheap.ai/v1/actions/dubbing_voices_delete","playground":"simple","href":"/api-reference/actions/dubbing-voices/dubbing-voices-delete"},{"title":"Get a dubbing voice","api":"POST https://api.voicecheap.ai/v1/actions/dubbing_voices_get","playground":"simple","href":"/api-reference/actions/dubbing-voices/dubbing-voices-get"},{"title":"List dubbing voices","api":"POST https://api.voicecheap.ai/v1/actions/dubbing_voices_list","playground":"simple","href":"/api-reference/actions/dubbing-voices/dubbing-voices-list"}]},{"group":"Transcription","pages":[{"title":"Transcribe Media","api":"POST https://api.voicecheap.ai/v1/transcribe","playground":"none","href":"/api-reference/transcribe"},{"title":"Abort a media upload for transcription","api":"POST https://api.voicecheap.ai/v1/actions/tools_upload_abort","playground":"simple","href":"/api-reference/actions/transcription/tools-upload-abort"},{"title":"Complete a media upload for transcription","api":"POST https://api.voicecheap.ai/v1/actions/tools_upload_complete","playground":"simple","href":"/api-reference/actions/transcription/tools-upload-complete"},{"title":"Import media from a URL for transcription","api":"POST https://api.voicecheap.ai/v1/actions/tools_upload_import","playground":"simple","href":"/api-reference/actions/transcription/tools-upload-import"},{"title":"Initialize a media upload for transcription","api":"POST https://api.voicecheap.ai/v1/actions/tools_upload_initialize","playground":"simple","href":"/api-reference/actions/transcription/tools-upload-initialize"},{"title":"Sign upload parts for transcription","api":"POST https://api.voicecheap.ai/v1/actions/tools_upload_sign_parts","playground":"simple","href":"/api-reference/actions/transcription/tools-upload-sign-parts"},{"title":"Transcribe media","api":"POST https://api.voicecheap.ai/v1/actions/transcription_create","playground":"simple","href":"/api-reference/actions/transcription/transcription-create"},{"title":"Export a transcript","api":"POST https://api.voicecheap.ai/v1/actions/transcription_export","playground":"simple","href":"/api-reference/actions/transcription/transcription-export"},{"title":"Get transcription result","api":"POST https://api.voicecheap.ai/v1/actions/transcription_history_get","playground":"simple","href":"/api-reference/actions/transcription/transcription-history-get"},{"title":"List transcription history","api":"POST https://api.voicecheap.ai/v1/actions/transcription_history_list","playground":"simple","href":"/api-reference/actions/transcription/transcription-history-list"},{"title":"Export a saved transcription action result","api":"POST https://api.voicecheap.ai/v1/actions/transcription_result_download","playground":"simple","href":"/api-reference/actions/transcription/transcription-result-download"},{"title":"Read a saved transcription action result","api":"POST https://api.voicecheap.ai/v1/actions/transcription_result_get","playground":"simple","href":"/api-reference/actions/transcription/transcription-result-get"},{"title":"List saved transcription action results","api":"POST https://api.voicecheap.ai/v1/actions/transcription_result_list","playground":"simple","href":"/api-reference/actions/transcription/transcription-result-list"},{"title":"Create YouTube chapters","api":"POST https://api.voicecheap.ai/v1/actions/youtube_chapters_create","playground":"simple","href":"/api-reference/actions/transcription/youtube-chapters-create"},{"title":"Export YouTube chapters","api":"POST https://api.voicecheap.ai/v1/actions/youtube_chapters_export","playground":"simple","href":"/api-reference/actions/transcription/youtube-chapters-export"},{"title":"Get YouTube chapters result","api":"POST https://api.voicecheap.ai/v1/actions/youtube_chapters_history_get","playground":"simple","href":"/api-reference/actions/transcription/youtube-chapters-history-get"},{"title":"List YouTube chapters history","api":"POST https://api.voicecheap.ai/v1/actions/youtube_chapters_history_list","playground":"simple","href":"/api-reference/actions/transcription/youtube-chapters-history-list"},{"title":"Transcribe a YouTube video","api":"POST https://api.voicecheap.ai/v1/actions/youtube_transcript_create","playground":"simple","href":"/api-reference/actions/transcription/youtube-transcript-create"},{"title":"Export a YouTube transcript","api":"POST https://api.voicecheap.ai/v1/actions/youtube_transcript_export","playground":"simple","href":"/api-reference/actions/transcription/youtube-transcript-export"},{"title":"Get YouTube transcript result","api":"POST https://api.voicecheap.ai/v1/actions/youtube_transcript_history_get","playground":"simple","href":"/api-reference/actions/transcription/youtube-transcript-history-get"},{"title":"List YouTube transcript history","api":"POST https://api.voicecheap.ai/v1/actions/youtube_transcript_history_list","playground":"simple","href":"/api-reference/actions/transcription/youtube-transcript-history-list"}]},{"group":"Subtitles and captions","pages":[{"title":"Create timed caption words","api":"POST https://api.voicecheap.ai/v1/actions/captions_transcribe","playground":"simple","href":"/api-reference/actions/subtitles/captions-transcribe"},{"title":"Add subtitles to a video","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_burn","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-burn"},{"title":"Download a subtitled video","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_burn_download","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-burn-download"},{"title":"Get subtitled video result","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_burn_history_get","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-burn-history-get"},{"title":"List subtitled video history","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_burn_history_list","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-burn-history-list"},{"title":"Add subtitles to a YouTube video","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_burn_youtube","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-burn-youtube"},{"title":"Create SRT subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_create","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-create"},{"title":"Add dynamic subtitles to a translation","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_dynamic_create","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-dynamic-create"},{"title":"Export saved SRT subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_export","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-export"},{"title":"Duplicate saved subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_history_duplicate","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-history-duplicate"},{"title":"Get subtitle result","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_history_get","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-history-get"},{"title":"List subtitle history","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_history_list","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-history-list"},{"title":"Edit saved subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_history_update","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-history-update"},{"title":"Export a saved subtitles action result","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_result_download","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-result-download"},{"title":"Read a saved subtitles action result","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_result_get","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-result-get"},{"title":"List saved subtitles action results","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_result_list","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-result-list"},{"title":"Translate subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_translate","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-translate"},{"title":"Export translated subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_translation_export","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-translation-export"},{"title":"Get subtitle translation result","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_translation_history_get","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-translation-history-get"},{"title":"List subtitle translation history","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_translation_history_list","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-translation-history-list"},{"title":"Abort a media upload for subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_upload_abort","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-upload-abort"},{"title":"Complete a media upload for subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_upload_complete","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-upload-complete"},{"title":"Import media from a URL for subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_upload_import","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-upload-import"},{"title":"Initialize a media upload for subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_upload_initialize","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-upload-initialize"},{"title":"Sign upload parts for subtitles","api":"POST https://api.voicecheap.ai/v1/actions/subtitles_upload_sign_parts","playground":"simple","href":"/api-reference/actions/subtitles/subtitles-upload-sign-parts"}]},{"group":"Images","pages":[{"title":"Download a generated image","api":"POST https://api.voicecheap.ai/v1/actions/images_download","playground":"simple","href":"/api-reference/actions/images/images-download"},{"title":"Generate an image","api":"POST https://api.voicecheap.ai/v1/actions/images_generate","playground":"simple","href":"/api-reference/actions/images/images-generate"},{"title":"Get an image generation","api":"POST https://api.voicecheap.ai/v1/actions/images_get","playground":"simple","href":"/api-reference/actions/images/images-get"},{"title":"List generated images","api":"POST https://api.voicecheap.ai/v1/actions/images_list","playground":"simple","href":"/api-reference/actions/images/images-list"},{"title":"Cancel a image reference upload","api":"POST https://api.voicecheap.ai/v1/actions/images_upload_abort","playground":"simple","href":"/api-reference/actions/images/images-upload-abort"},{"title":"Complete a image reference upload","api":"POST https://api.voicecheap.ai/v1/actions/images_upload_complete","playground":"simple","href":"/api-reference/actions/images/images-upload-complete"},{"title":"Initialize a image reference upload","api":"POST https://api.voicecheap.ai/v1/actions/images_upload_initialize","playground":"simple","href":"/api-reference/actions/images/images-upload-initialize"},{"title":"Get image reference upload URLs","api":"POST https://api.voicecheap.ai/v1/actions/images_upload_sign_parts","playground":"simple","href":"/api-reference/actions/images/images-upload-sign-parts"}]},{"group":"Thumbnails","pages":[{"title":"Download a generated thumbnail","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_download","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-download"},{"title":"Generate a YouTube thumbnail","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_generate","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-generate"},{"title":"Get a thumbnail generation","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_get","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-get"},{"title":"List generated thumbnails","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_list","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-list"},{"title":"Cancel a thumbnail reference upload","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_upload_abort","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-upload-abort"},{"title":"Complete a thumbnail reference upload","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_upload_complete","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-upload-complete"},{"title":"Initialize a thumbnail reference upload","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_upload_initialize","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-upload-initialize"},{"title":"Get thumbnail reference upload URLs","api":"POST https://api.voicecheap.ai/v1/actions/thumbnails_upload_sign_parts","playground":"simple","href":"/api-reference/actions/thumbnails/thumbnails-upload-sign-parts"}]},{"group":"Folders","pages":[{"title":"Create a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_create","playground":"simple","href":"/api-reference/actions/folders/folders-create"},{"title":"Delete a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_delete","playground":"simple","href":"/api-reference/actions/folders/folders-delete"},{"title":"Get a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_get","playground":"simple","href":"/api-reference/actions/folders/folders-get"},{"title":"List folders","api":"POST https://api.voicecheap.ai/v1/actions/folders_list","playground":"simple","href":"/api-reference/actions/folders/folders-list"},{"title":"Add a project to a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_project_add","playground":"simple","href":"/api-reference/actions/folders/folders-project-add"},{"title":"Remove a project from a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_project_remove","playground":"simple","href":"/api-reference/actions/folders/folders-project-remove"},{"title":"Update a folder","api":"POST https://api.voicecheap.ai/v1/actions/folders_update","playground":"simple","href":"/api-reference/actions/folders/folders-update"}]},{"group":"Glossary","pages":[{"title":"Delete a glossary entry","api":"POST https://api.voicecheap.ai/v1/actions/glossary_entry_delete","playground":"simple","href":"/api-reference/actions/glossary/glossary-entry-delete"},{"title":"Update a glossary entry","api":"POST https://api.voicecheap.ai/v1/actions/glossary_entry_update","playground":"simple","href":"/api-reference/actions/glossary/glossary-entry-update"},{"title":"Create or update a glossary entry","api":"POST https://api.voicecheap.ai/v1/actions/glossary_entry_upsert","playground":"simple","href":"/api-reference/actions/glossary/glossary-entry-upsert"},{"title":"Get a glossary","api":"POST https://api.voicecheap.ai/v1/actions/glossary_get","playground":"simple","href":"/api-reference/actions/glossary/glossary-get"},{"title":"Import glossary entries","api":"POST https://api.voicecheap.ai/v1/actions/glossary_import","playground":"simple","href":"/api-reference/actions/glossary/glossary-import"},{"title":"List glossary languages","api":"POST https://api.voicecheap.ai/v1/actions/glossary_languages_list","playground":"simple","href":"/api-reference/actions/glossary/glossary-languages-list"},{"title":"Set glossary application mode","api":"POST https://api.voicecheap.ai/v1/actions/glossary_mode_update","playground":"simple","href":"/api-reference/actions/glossary/glossary-mode-update"}]},{"group":"Webhooks","pages":[{"title":"Webhooks","href":"/api-reference/webhooks"},{"title":"Create or rotate a webhook signing secret","api":"POST https://api.voicecheap.ai/v1/actions/webhooks_create_secret","playground":"simple","href":"/api-reference/actions/webhooks/webhooks-create-secret"},{"title":"Delete webhook configuration","api":"POST https://api.voicecheap.ai/v1/actions/webhooks_delete","playground":"simple","href":"/api-reference/actions/webhooks/webhooks-delete"},{"title":"Get webhook settings","api":"POST https://api.voicecheap.ai/v1/actions/webhooks_get","playground":"simple","href":"/api-reference/actions/webhooks/webhooks-get"},{"title":"Update webhook URL","api":"POST https://api.voicecheap.ai/v1/actions/webhooks_update","playground":"simple","href":"/api-reference/actions/webhooks/webhooks-update"}]},{"group":"Publishing","pages":[{"title":"List connected publishing channels","api":"POST https://api.voicecheap.ai/v1/actions/publishing_channels_list","playground":"simple","href":"/api-reference/actions/publishing/publishing-channels-list"},{"title":"Get project publication state","api":"POST https://api.voicecheap.ai/v1/actions/publishing_list","playground":"simple","href":"/api-reference/actions/publishing/publishing-list"},{"title":"Publish original video","api":"POST https://api.voicecheap.ai/v1/actions/publishing_original_create","playground":"simple","href":"/api-reference/actions/publishing/publishing-original-create"},{"title":"Publish a translated video","api":"POST https://api.voicecheap.ai/v1/actions/publishing_translation_create","playground":"simple","href":"/api-reference/actions/publishing/publishing-translation-create"}]},{"group":"Request status","pages":[{"title":"Get action request status","api":"POST https://api.voicecheap.ai/v1/actions/action_request_get","playground":"simple","href":"/api-reference/actions/requests/action-request-get"}]},{"group":"OAuth and MCP protocol","pages":[{"title":"Get protected-resource metadata","api":"GET https://api.voicecheap.ai/.well-known/oauth-protected-resource","playground":"simple","href":"/api-reference/oauth/oauth-protected-resource-get"},{"title":"Get MCP protected-resource metadata","api":"GET https://api.voicecheap.ai/.well-known/oauth-protected-resource/mcp","playground":"simple","href":"/api-reference/oauth/oauth-protected-resource-mcp-get"},{"title":"Get authorization-server metadata","api":"GET https://api.voicecheap.ai/.well-known/oauth-authorization-server","playground":"simple","href":"/api-reference/oauth/oauth-authorization-server-get"},{"title":"Register an MCP OAuth client","api":"POST https://api.voicecheap.ai/oauth/register","playground":"simple","href":"/api-reference/oauth/oauth-client-register"},{"title":"Start MCP account authorization","api":"GET https://api.voicecheap.ai/oauth/authorize","playground":"simple","href":"/api-reference/oauth/oauth-authorize"},{"title":"Exchange an authorization code or rotate a refresh token","api":"POST https://api.voicecheap.ai/oauth/token","playground":"simple","href":"/api-reference/oauth/oauth-token-exchange"},{"title":"Revoke an MCP OAuth connection","api":"POST https://api.voicecheap.ai/oauth/revoke","playground":"simple","href":"/api-reference/oauth/oauth-token-revoke"},{"title":"Send a stateless MCP message","api":"POST https://api.voicecheap.ai/mcp","playground":"simple","href":"/api-reference/oauth/mcp-message-post"},{"title":"Get OpenID Connect discovery metadata","api":"GET https://api.voicecheap.ai/.well-known/openid-configuration","playground":"simple","href":"/api-reference/oauth/oidc-discovery-get"},{"title":"Get ID-token verification keys","api":"GET https://api.voicecheap.ai/oauth/jwks","playground":"simple","href":"/api-reference/oauth/oidc-jwks-get"},{"title":"Get the connected user identity","api":"GET https://api.voicecheap.ai/oauth/userinfo","playground":"simple","href":"/api-reference/oauth/oidc-userinfo-get"},{"title":"Get the connected user identity (POST)","api":"POST https://api.voicecheap.ai/oauth/userinfo","playground":"simple","href":"/api-reference/oauth/oidc-userinfo-post"}]}]}]},{"language":"de","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Webseite"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Gemeinschaft"},{"href":"mailto:contact@voicecheap.ai","label":"Hilfe"}],"primary":{"type":"button","label":"App öffnen","href":"https://app.voicecheap.ai"}},"pages":[{"title":"de","href":"/de/api-reference/create-project"}]},{"language":"es","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Sitio web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunidad"},{"href":"mailto:contact@voicecheap.ai","label":"Soporte"}],"primary":{"type":"button","label":"Abrir la aplicación","href":"https://app.voicecheap.ai"}},"pages":[{"title":"es","href":"/es/api-reference/create-project"}]},{"language":"fr","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Site web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Communauté"},{"href":"mailto:contact@voicecheap.ai","label":"Assistance"}],"primary":{"type":"button","label":"Ouvrir l’application","href":"https://app.voicecheap.ai"}},"pages":[{"title":"fr","href":"/fr/api-reference/create-project"}]},{"language":"it","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Sito web"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunità"},{"href":"mailto:contact@voicecheap.ai","label":"Assistenza"}],"primary":{"type":"button","label":"Apri l’app","href":"https://app.voicecheap.ai"}},"pages":[{"title":"it","href":"/it/api-reference/create-project"}]},{"language":"ja","navbar":{"links":[{"href":"https://voicecheap.ai","label":"ウェブサイト"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"コミュニティ"},{"href":"mailto:contact@voicecheap.ai","label":"サポート"}],"primary":{"type":"button","label":"アプリを開く","href":"https://app.voicecheap.ai"}},"pages":[{"title":"ja","href":"/ja/api-reference/create-project"}]},{"language":"ko","navbar":{"links":[{"href":"https://voicecheap.ai","label":"웹사이트"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"커뮤니티"},{"href":"mailto:contact@voicecheap.ai","label":"지원"}],"primary":{"type":"button","label":"앱 열기","href":"https://app.voicecheap.ai"}},"pages":[{"title":"ko","href":"/ko/api-reference/create-project"}]},{"language":"nl","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Website"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Gemeenschap"},{"href":"mailto:contact@voicecheap.ai","label":"Ondersteuning"}],"primary":{"type":"button","label":"App openen","href":"https://app.voicecheap.ai"}},"pages":[{"title":"nl","href":"/nl/api-reference/create-project"}]},{"language":"pl","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Strona internetowa"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Społeczność"},{"href":"mailto:contact@voicecheap.ai","label":"Pomoc"}],"primary":{"type":"button","label":"Otwórz aplikację","href":"https://app.voicecheap.ai"}},"pages":[{"title":"pl","href":"/pl/api-reference/create-project"}]},{"language":"pt","navbar":{"links":[{"href":"https://voicecheap.ai","label":"Site"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"Comunidade"},{"href":"mailto:contact@voicecheap.ai","label":"Suporte"}],"primary":{"type":"button","label":"Abrir o aplicativo","href":"https://app.voicecheap.ai"}},"pages":[{"title":"pt","href":"/pt/api-reference/create-project"}]},{"language":"zh","navbar":{"links":[{"href":"https://voicecheap.ai","label":"网站"},{"href":"https://discord.gg/Bg2eDM9MR5","label":"社区"},{"href":"mailto:contact@voicecheap.ai","label":"支持"}],"primary":{"type":"button","label":"打开应用","href":"https://app.voicecheap.ai"}},"pages":[{"title":"zh","href":"/zh/api-referen
[...]
